[arch-commits] Commit in texlive-music/repos (extra-i686 extra-i686/PKGBUILD)

François Charette francois at archlinux.org
Tue May 12 16:12:01 EDT 2009


    Date: Tuesday, May 12, 2009 @ 16:12:01
  Author: francois
Revision: 39160

Merged revisions 18928,27148,39151 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/texlive-music/trunk

........
  r18928 | francois | 2008-11-11 08:34:59 +0100 (Tue, 11 Nov 2008) | 1 line
  
  changed $startdir
........
  r27148 | francois | 2009-02-16 13:33:56 +0100 (Mon, 16 Feb 2009) | 1 line
  
  renamed locally provided sources for texlive
........
  r39151 | francois | 2009-05-12 22:10:29 +0200 (Tue, 12 May 2009) | 1 line
  
  upgpkg: texlive-music 2008.12435-1
........

Modified:
  texlive-music/repos/extra-i686/	(properties)
  texlive-music/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)


Property changes on: texlive-music/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /texlive-music/trunk:1-12237
   + /texlive-music/trunk:1-39151

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-12 20:11:38 UTC (rev 39159)
+++ extra-i686/PKGBUILD	2009-05-12 20:12:01 UTC (rev 39160)
@@ -1,7 +1,7 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-music
-pkgver=2008.7340
+pkgver=2008.12435
 pkgrel=1
 pkgdesc="TeX Live - Music typesetting packages"
 license=('GPL')
@@ -10,16 +10,20 @@
 makedepends=('lzma-utils')
 groups=('texlive-most')
 url='http://tug.org/texlive/'
-source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-src.zip")
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
 install=texlive.install
-md5sums=('0d35fb91f72c3c570ca1465a04ecd0c9')
+md5sums=('5ff4bfed63ccdaecc1ea89fbb82d738d')
 
 build() {
-   cd $startdir/src
+   cd $srcdir
+   install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
+   sed -i '/^#/d' CONTENTS || return 1
+   _revnr=`echo $pkgver | sed 's/2008\.//'`
+   install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
    for p in *.tar.lzma; do 
 	   lzma --force -dc $p | tar xf - || return 1
    done
-   install -m755 -d $startdir/pkg/usr/share || return 1
-   find texmf* -type d -exec install -d -m755 $startdir/pkg/usr/share/'{}' \; || exit 1
-   find texmf* -type f -exec install -m644 '{}' $startdir/pkg/usr/share/'{}' \; || exit 1
+   install -m755 -d $pkgdir/usr/share || return 1
+   find texmf* -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \; || exit 1
+   find texmf* -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \; || exit 1
 }



More information about the arch-commits mailing list